@import "../../assets/variables.scss";

.chat-container {
	position: relative;
	transition: 0.3s ease-out;
	.button-close {
		position: absolute;
		top: -30px;
		right: 20px;
		opacity: 0;
		transition: 0.3s ease-out;
		button {
			cursor: pointer;
			padding: 5px 10px;
			border-radius: 50px;
			border: none;
		}
	}
	.title {
		padding-top: 10px;
		padding-bottom: 15px;
		background: $blueGradientBackgroundColor;
		span {
			font-size: 18px;
			font-weight: 700;
			color: $light;
			padding-left: 10px;
		}
	}

	.list-chats {
		.item {
			.credit-title {
				padding: 3px 0;
				background-color: #f2f2f2;
				// border-top: 1px solid $borderChatColor;
				// border-bottom: 1px solid $borderChatColor;
				span {
					font-size: 10px;
					color: $spanColor;
					line-height: 15px;
					margin-left: 10px;
				}
			}

			.user-info {
				display: flex;
				padding: 15px 10px;
				background-color: $light;
				border: 1px solid $tableBorder;
				.left-side {
					.user-chat-photo {
						img {
							width: 54px;
						}
					}
				}
				.right-side {
					margin-left: 10px;
					width: 100%;
					.user-header {
						display: flex;
						.user-name {
							flex: 1;
							white-space: nowrap;
							span {
								font-size: 14px;
								color: $dark;
							}
						}

						.remove-user {
							display: flex;
							align-items: center;
							margin-left: 20px;
							line-height: 10px;
							.block {
								display: flex;
								height: 10px;
								padding-right: 4px;
								border-right: 1px solid $blue;
							}

							.close {
								display: flex;
								height: 10px;
								padding-left: 4px;
								cursor: pointer;
							}
							.item {
								span {
									font-size: 10px;
									color: $blue;
									font-weight: 400;
								}
							}
						}
					}

					.user-body {
						.message {
							span {
								font-size: 10px;
							}
						}
					}

					.user-footer {
						margin-top: 5px;
						.chat-now-button {
							button {
								font-family: "Comfortaa", sans-serif;
								cursor: pointer;
								padding: 7px 16px;
								background: $blueGradientBackgroundColor;
								color: $light;
								font-size: 10px;
								border: none;
							}
						}
					}
				}
			}
		}
	}

	&:hover {
		.button-close {
			top: 10px;
			opacity: 1;
		}
	}
}
